> ## Documentation Index
> Fetch the complete documentation index at: https://docs.become1.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Flex Payroll Transactions by Company



## OpenAPI

````yaml get /api/v2/companies/{companyId}/flex/payroll-transactions
openapi: 3.0.0
info:
  title: become.1 API
  description: become.1 API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v2/companies/{companyId}/flex/payroll-transactions:
    get:
      operationId: ApiV2FlexPayrollTransactionController_getFlexPayrollTransactions
      parameters:
        - name: module
          required: false
          in: query
          schema:
            type: string
            enum:
              - MEALS
              - HEALTH
              - INTERNET
              - HOLIDAY
              - KITA
              - MOBILITY
              - SPORTS
        - name: payrollReferenceDateFrom
          required: false
          in: query
          schema:
            default: '1970-01-01T00:00:00.000Z'
            type: string
        - name: payrollReferenceDateTo
          required: false
          in: query
          schema:
            default: '2099-01-01T00:00:00.000Z'
            type: string
        - name: companyId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FlexPayrollTransactionOutputDto'
      security:
        - bearer: []
components:
  schemas:
    FlexPayrollTransactionOutputDto:
      type: object
      properties:
        id:
          type: string
          description: The unique primary key (UUID) of the entity.
        dateCreated:
          format: date-time
          type: string
        dateModified:
          format: date-time
          type: string
        dateDeleted:
          format: date-time
          type: string
          nullable: true
        flexDataId:
          type: string
        companyId:
          type: string
        personnelNumber:
          type: string
        amount:
          $ref: '#/components/schemas/MonetaryAmount'
        state:
          type: string
          enum:
            - PENDING
            - COMMITTED
        submittedDate:
          format: date-time
          type: string
        payrollReferenceDate:
          format: date-time
          type: string
      required:
        - id
        - dateCreated
        - dateModified
        - flexDataId
        - companyId
        - personnelNumber
        - amount
        - state
        - payrollReferenceDate
    MonetaryAmount:
      type: object
      properties: {}
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````